{% extends "base.html" %}

{% block header %}

<link type="text/css" href="/site_media/css/editor.css" rel="Stylesheet" />
<script type="text/javascript" src="/site_media/js/editor.js"></script>

        <script type="text/javascript">
	$(function() {


	    /* booki part */
            /* this is temporary here */

           $.booki.username = "{{request.user.username}}";
           $.booki.currentProjectID = {{project.id}};
           $.booki.currentProject = "{{project.name}}";
           $.booki.currentBookID  = {{book.id}};
           $.booki.currentBook    = "{{book.title}}";

	    /* call when page is loaded */

	    $.booki.editor.initEditor();


            $.booki.subscribeToChannel("/booki/", function(message) {

            });


	    // open debug window
	    $.booki.debug.init();

	    $("#header .debug").click(function() {
		$("#bookidebug").dialog("open");
		return false;
	    });

          // start Sputnik
          jQuery.booki.network._transport.connect();
	    
	    // $("#datepicker").datepicker({"onSelect": function(a) { alert(a)}});



	    // should move this dialogs to editor.js
	    $("#newchapter").dialog({
			bgiframe: true,
			autoOpen: false,
			height: 200,
		        width: 400, 
			modal: true,
			buttons: {
				'Create chapter': function() {
				    $.booki.ui.notify("Creating chapter");
				    
				    $.booki.sendToChannel("/booki/book/"+$.booki.currentProjectID+"/"+$.booki.currentBookID+"/", {"command": "create_chapter", "chapter": $("#newchapter INPUT").val()}, function(data) {
					$.booki.ui.notify();
				    });


				    $(this).dialog('close');
				},
				'Cancel': function() {
					$(this).dialog('close');
				}
			},
		open: function(event,ui) {
		    $("INPUT", $(this)).val("Enter new Chapter title.").select();
		},
		close: function() {

			}
		});


	    $("#newsection").dialog({
			bgiframe: true,
			autoOpen: false,
			height: 200,
    		        width: 400, 
			modal: true,
			buttons: {
				'Create section': function() {
				    $.booki.ui.notify("Creating section");
			
				    $.booki.sendToChannel("/booki/book/"+$.booki.currentProjectID+"/"+$.booki.currentBookID+"/", {"command": "create_section", "chapter": $("#newsection INPUT").val()}, function(data) {
					$.booki.ui.notify();
				    });

				    $(this).dialog('close');
				},
				'Cancel': function() {
					$(this).dialog('close');
				}
			},
		open: function(event,ui) {
		    $("INPUT", $(this)).val("Enter new section title.").select();
		},
		close: function() {

			}
		});


	    
	});


function closeAttachmentUpload() {
    $("#insertattachment .listing").css("display", "block");
    $.booki.editor.reloadAttachments(function() {  $.booki.editor.upload.redrawFiles();  });
}


                 </script>

<script type="text/javascript">
  var _editor_url = "/site_media/xinha/";
  var _editor_lang = "en";
</script>

<script type="text/javascript" src="/site_media/xinha/XinhaCore.js"></script>

<script type="text/javascript">
    var xinha_plugins = ['GetHtml',        'SaveSubmit', 'DoubleClick' , 'ImageManager', 'SpellChecker', 'BookiInsert'];
    var xinha_editors = ['myTextArea'];

    var prvi = false;

    function xinha_init() {
	if(!Xinha.loadPlugins(xinha_plugins, xinha_init)) {
	    return;
	}

	if(prvi) {
	    $.booki.debug.debug("prvi == true");
	    return;
	}

	var xinha_config = new Xinha.Config();
	
	/*
    xinha_config.width  = '670px';
    xinha_config.height = '600px';
*/
	xinha_config.pageStyle = 'body {font-family : trebuchet,verdana, sans-serif; font-size: 12px; line-height:17px;}' + 'h1 {font-size: 24px;font-family : Arial,verdana, sans-serif; font-weight : Bold; margin-bottom: 10px;  margin-top: 0px; line-height: 32px;  letter-spacing: -1px; }' + 'h2 {font-size: 18px; font-family : Arial,verdana, sans-serif; font-weight : Bold; margin-bottom: 10px; margin-top: 15px; padding-top : 15px;}' + 'h3 {font-size: 14px;font-family : Arial,verdana, sans-serif;font-weight : Bold;margin-bottom: 5px; }' + 'pre { font-size:12px; line-height:1.5em; background-color:#FFE5CC; border: 0px solid #000000; margin-left : 0.5em; margin-bottom : 20px; margin-right : 1em; padding-left: 1em; padding-right: 1em; padding-top: 0.2em; padding-bottom: 0.2em; color : black; white-space: pre-wrap; white-space: -moz-pre-wrap;white-space: -pre-wrap;white-space: -o-pre-wrap; word-wrap: break-word;}' + 'ul, li {margin-bottom: 5px; margin-top: 0px;}';
	
	xinha_config.toolbar = [["popupeditor"],["formatblock","bold","italic"],["separator","insertorderedlist","insertunorderedlist"],["separator","createlink","bookiinsert", "inserttable"],(Xinha.is_gecko?[]:["cut","copy","paste","overwrite","saveas"]),["separator","removeformat","killword"],["separator","htmlmode","showhelp","about"]];
	
//	xinha_config.toolbar = [["popupeditor"],["formatblock","bold","italic"],["separator","insertorderedlist","insertunorderedlist"],["separator","createlink","insertimage","bookiinsert", "inserttable"],(Xinha.is_gecko?[]:["cut","copy","paste","overwrite","saveas"]),["separator","removeformat","killword"],["separator","htmlmode","showhelp","about"]];
	
	
	xinha_editors = Xinha.makeEditors(xinha_editors, xinha_config, xinha_plugins);
	
	Xinha.startEditors(xinha_editors);
	prvi = true;
    }

//Xinha.addOnloadHandler(xinha_init);
</script>


{% endblock %}

{% block content %}
<div id="notify">
some notification. this should be on top of visible page and not top of page.
</div>

<div id="bookidebug">
</div>

<div id="header">
 <div style="float:right; font-size: 12px">
<div align="center" style="padding-bottom: 8px">
<img src="/site_media/images/logo.png"></div>
    <a href="/accounts/{{ request.user.username }}/">{{ request.user.username }}</a> | <a class="debug" href="javascript:void(0)">Debug</a> | <a href="/accounts/signout/">Sign out</a>

<!--    <a href="/accounts/{{ request.user.username }}/">{{ request.user.username }}</a> | <a href="">Settings</a> | <a href="">Help</a> | <a class="debug" href="javascript:void(0)">Debug</a> | <a href="/accounts/signout/">Sign out</a> -->

 </div>
</div>

<br clear="all"/>

<div>
<div style="float: right; padding-top: 5px">
<form>
<input type="text" size="20"> <button>Search</button>
</form>
</div>
<h1 style="margin-top: 0px"> <a href="/{{ project.url_name }}/{{ book.url_title }}/">{{ book }}</a> </h1>
</div>

<div id="tabs">
	<ul>
		<li><a href="#tabchapters">Chapters</a></li>
		<li><a href="#tabattachments">Attachments</a></li>
		<li><a href="#tabinfo">Info</a></li>
<!--		<li><a href="#tabbigchat">Chat</a></li>  -->
		<li><a href="#tabpublish">Publish</a></li>

	</ul>
	<div id="tabchapters">



<table border="0" width="100%">
<tr>
<td valign="top">
<div id="container">

<h2>Table of contents</h2>


<div id="chapteraction">
<a href="javascript:void(0)" onclick='$("#newchapter").dialog("open")'>NEW CHAPTER</a> | <a href="javascript:void(0)" onclick='$("#newsection").dialog("open")'">NEW SECTION</a>
</div>

<ul id="chapterslist" class="connectedSortable">
</ul>

<div id="chapteraction">
<a href="javascript:void(0)" onclick='$("#newchapter").dialog("open")'>NEW CHAPTER</a> | <a href="javascript:void(0)" onclick='$("#newsection").dialog("open")'">NEW SECTION</a>
</div>

<div id="newchapter" title="New chapter">
<!--  <p id="validateTips">Enter new chapter name.</p> -->
  
  <form onsubmit="javascript:return false">
    <fieldset>
      <input type="text" class="text ui-widget-content ui-corner-all">
      </fieldset>
    </form>
</div>

<div id="newsection" title="New section">
<!--  <p id="validateTips">Enter new section name.</p> -->
  
  <form onsubmit="return false">
    <fieldset>
      <input type="text" class="text ui-widget-content ui-corner-all">
      </fieldset>
    </form>
</div>

<!-- open attachment dialog -->
<div id="insertattachment" title="Insert image">
 <div class="listing">
    <table border="0" width="100%">
     <tr>
      <td valign="top">
       <div  style="height: 250px; overflow: auto">
          <table border="0" width="90%" class="files">
          </table>
       </div>
      </td>
      <td width="200" valign="top">
        <div class="previewattachment">
        </div>
      </td>
     </tr>
   </table>
</div>

<div class="uploadform" style="position: relative; left: 0px; bottom: 0px">
<form method="POST" target="frameupload" action="../_upload/" enctype="multipart/form-data">
 <div class="uploadattachment" style="overflow: auto;">
 </div>
 <div class="uploadsubmit">
 </div>
</form>

<iframe width="0" height="0" name="frameupload" border="0" style="border: 0px"></iframe>
</div>
</div>

<!-- close attachment dialog -->


<div class="middleinfo">
</div>

<h2>Hold chapters</h2>
<ul id="holdchapterslist" class="connectedSortable">
</ul>

</div>

<div id="editor" style="display: none">
<form method="GET" action="javascript: return void(0)">
<input type="hidden" name="chapter_id" value=""/>
<input type="button" class="save" name="save" value="Save"/>
<!-- <input type="button" class="save" name="save" value="Save and continue editing"/> -->

<input type="button" class="cancel" name="cancel" value="Cancel"/>
<br/>
<!-- <input type="text" name="title" style="width: 500px"><br/> -->
<textarea name="myTextArea" id="myTextArea" style="width: 500px; height: 600px">
  
</textarea>
</form>

</div>


<div id="spalatodialog" title="Split chapters">
  <p id="validateTips">Seems like You have changed the structure of the chapters. What do you want to do?</p>  
  <table border="0" width="100%">
    <tr>
     <td valign="top" width="200">
       New chapters:
        <ul class="chapters" style="margin-left: 5px">

        </ul>
     </td>
     <td width="1" bgcolor="#c0c0c0"></td>
     <td valign="top" class="content">

     </td>
    </tr>
  </table>
</div>


</td>
<td valign="top" width="200">
<h4>Chat</h4>
<div id="chat">
</div>

<h4>Active sessions (debug)</h4>
 <div id="users">
 </div>
<!--
                <div id="accordion">
                        <div>                                <h3><a href="#">Info</a></h3>
                                <div>Info about book status and etc.</div>
                        </div>
                        <div>
                                <h3><a href="#">Tools</a></h3>
                                <div>Create new chapter</div>
                        </div>
                        <div>
                                <h3><a href="#">Users</a></h3>
                                <div>Current users...</div>
                        </div>
                </div>
-->

</td>
</tr>
</table>


	</div>


	<div id="tabattachments">
	  <h2>Attachments</h2>

<table border="0" width="100%">
 <tr>
  <td valign="top">

         <form>
	  <table width="95%" class="files">
	  </table>
         </form>
  </td>
  <td valign="top" width="200">
    <div id="attachmentpreview">

    </div>
  </td>
 </tr>
</table>
	</div>


<!--
<div id="tabbigchat">
<table border="0">
<tr>
<td width="100%">
<div id="chat2">
</div>
</td>
<td width="20"></td>
<td valign="top">
<h4>Search conversations</h4>
<form>
<input type="text" style="width:  200px">
</form>
<h4>Conversation history</h4>
<div id="datepicker" ></div>

</td>
</tr>
</table>

</div>
-->

	<div id="tabinfo">

         <table border="0" class="metadata">
         </table>

           <br/>
         <!--  <span style="font-style: italic; color: #d0d0d0">This part of UI is still not functional.</span> -->
	</div>

	<div id="tabpublish">
          <h1>Publish</h1>
          <p></p>

          <form method="" action="" onsubmit="return false">
            <button>Publish this book</button>
          </form>
          <div class="info">

          </div>

	</div>


</div>



{% endblock %}
